org.eclipse.actf.visualization.util.html2view

## Class Html2ViewMapMaker

- java.lang.Object
- - org.eclipse.actf.visualization.util.html2view.Html2ViewMapMaker

    public class Html2ViewMapMaker
    extends Object

Utility class to enable mapping between line number and ACTF_ID. This utility embeds ACTF_ID into HTML file.

### Method Summary

Methods
`static Vector<Html2ViewMapData>` `makeMap(String filename, String resultFileName, String targetDir)` Create mapping information between line number and ACTF_ID.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### makeMap

    public static Vector<Html2ViewMapData> makeMap(String filename,
                                   String resultFileName,
                                   String targetDir)

Create mapping information between line number and ACTF_ID. The resulting HTML file that includes ACTF_ID will be stored as a file.

Parameters:
  `filename` - file path of target HTML
  `resultFileName` - file name of resulting HTML file
  `targetDir` - path for target directory to save result file
Returns:
  mapping information as vector of `Html2ViewMapData`